-- name: CreateOrganization :one
INSERT INTO organization
    (name, owner_name, owner_phone, owner_email, created_at, deleted_at, authorized, auth_token)
VALUES (?, ?, ?, ?, ?, ?, ?, ?)
RETURNING *;

-- name: FindOrganizationByName :one
SELECT * FROM organization
WHERE name = ?;

-- name: FindOrganizationById :one
SELECT * FROM organization
WHERE id = ?;